Loading ...
Sorry, an error occurred while loading the content.

"Upgrading" from 4.0.9n to 4.0.10k: compatibility? "unlimited" factions?

Expand Messages
  • davidkalmar
    I have been playing Atlantis 4.0.9n since June 12, 2002. I would like to upgrade to 4.0.10k. Question 1: Can the 4.0.10k version properly read the game.in
    Message 1 of 1 , Jun 2, 2007
    • 0 Attachment
      I have been playing Atlantis 4.0.9n since June 12, 2002. I would like
      to upgrade to 4.0.10k.

      Question 1: Can the 4.0.10k version properly read the game.in and
      players.in files created by 4.0.9n? Or, am I stuck with 4.0.9n?

      Question 2: Years ago I modified the code to allow factions to have
      100 war, 100 trade, and 7 magic. I would now like to make it
      unlimited. When I look at the code in 4.0.10k, it looks like I can
      change standard/rules.cpp. Currently there is a line,

      GameDefs::FACLIM_FACTION_TYPES, // FACTION_LIMIT_TYPE

      If I change it to read:

      GameDefs::FACLIM_UNLIMITED, // FACTION_LIMIT_TYPE

      will that do it for me? (I have to recompile, of course.)

      Thank you all for your insights!

      David Kalmar

      P.S. I saw a posting about some prospective spammers who joined this
      group around the same time I did. Larry said he had accepted somebody
      who wrote about the history of Atlantis and Geoff. That would have
      been me. I joined Geoff's Atlantis 2.0 around turn 30 or so (I don't
      remember exactly, but it was far into the game) and then joined 3.0
      when Geoff started it. Thank you, Geoff and all of the following
      programmers for keeping this game alive! My friends still laugh at me
      and simply can't understand how anybody could play a game that is
      text-based. But here I am, twelve years or so later, still playing.
    Your message has been successfully submitted and would be delivered to recipients shortly.